' This program is provided as Freeware for personal, educational
' and non-commercial use under a GNU General Public License.
'
' Written by Mike Perks (basicx@austin.rr.com), 2005
'
' Example IR decoder for Sony remote
'
' This module contains the Command and Device codes for a Sony remote
'
' Note that these codes can vary by remote so may not apply to your remote.
Option Explicit
Option Strict On

Public Const Device_TV				as Byte = 1
Public Const Device_VCR1			as Byte = 2
Public Const Device_VCR2			as Byte = 3
Public Const Device_Laser			as Byte = 6
Public Const Device_Surround_Sound	as Byte = 12
Public Const Device_Cassette		as Byte = 16
Public Const Device_CD				as Byte = 17
Public Const Device_Equalizer		as Byte = 18

Public Const Command_1				as Byte = 0
Public Const Command_2				as Byte = 1
Public Const Command_3				as Byte = 2
Public Const Command_4				as Byte = 3
Public Const Command_5				as Byte = 4
Public Const Command_6				as Byte = 5
Public Const Command_7				as Byte = 6
Public Const Command_8				as Byte = 7
Public Const Command_9				as Byte = 8
Public Const Command_0				as Byte = 9
Public Const Command_Enter			as Byte = 11
Public Const Command_Channel_Up		as Byte = 16
Public Const Command_Channel_Down	as Byte = 17
Public Const Command_Volume_Up		as Byte = 18
Public Const Command_Volume_Down	as Byte = 19
Public Const Command_X2_Play		as Byte = 20
Public Const Command_Power			as Byte = 21
Public Const Command_Eject			as Byte = 22
Public Const Command_Audio_Monitor	as Byte = 23
Public Const Command_Stop			as Byte = 24
Public Const Command_Pause			as Byte = 25
Public Const Command_Play			as Byte = 26
Public Const Command_Rewind			as Byte = 27
Public Const Command_FF				as Byte = 28
Public Const Command_Record			as Byte = 29
Public Const Command_Auto_Manual	as Byte = 39
Public Const Command_Reverse_Search	as Byte = 40
Public Const Command_Foward_Search	as Byte = 41
Public Const Command_TV_VCR			as Byte = 42
Public Const Command_VTR_From_TV	as Byte = 45
Public Const Command_Standby		as Byte = 47
Public Const Command_Frame_Backward	as Byte = 48
Public Const Command_Frame_Forward	as Byte = 49
Public Const Command_Slow_Forward	as Byte = 61
Public Const Command_Slow_Backward	as Byte = 62
Public Const Command_Cursor_Up		as Byte = 66
Public Const Command_Cursor_Down	as Byte = 67
Public Const Command_Tracking_Up	as Byte = 68
Public Const Command_Tracking_Down	as Byte = 69
Public Const Command_Counter_Reset	as Byte = 70
Public Const Command_Menu			as Byte = 77
Public Const Command_Input_Select	as Byte = 79
Public Const Command_Execute		as Byte = 81
Public Const Command_Quick_Timer	as Byte = 82
Public Const Command_Tape_Speed		as Byte = 88
Public Const Command_Display		as Byte = 90
Public Const Command_Skip			as Byte = 93
Public Const Command_Cursor_Right	as Byte = 97
Public Const Command_Cursor_Left	as Byte = 98
Public Const Command_Timer_Clear	as Byte = 99
